Search documentation of polar_express

# PolarExpress.Schemas.WebhookEndpoint (polar_express v0.1.5)

Copy Markdown View Source

WebhookEndpoint

A webhook endpoint.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.WebhookEndpoint{
      created_at: DateTime.t() | nil,
      enabled: boolean() | nil,
      events: [PolarExpress.Schemas.WebhookEventType.t()] | nil,
      format: PolarExpress.Schemas.WebhookFormat.t() | nil,
      id: String.t() | nil,
      modified_at: DateTime.t() | nil,
      organization_id: String.t() | nil,
      secret: String.t() | nil,
      url: String.t() | nil
    }

- `created_at` - Creation timestamp of the object. Format: date-time.
- `enabled` - Whether the webhook endpoint is enabled and will receive events.
- `events` - The events that will trigger the webhook.
- `format` - The format of the webhook payload.
- `id` - The ID of the object. Format: uuid4.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `organization_id` - The organization ID associated with the webhook endpoint. Format: uuid4.
- `secret` - The secret used to sign the webhook events.
- `url` - The URL where the webhook events will be sent. Format: uri. Max length: 2083.

## Functions

# schema_name()